import 'dart:collection';

class TrainingPlanDay {
  late int dayId;
  late String name;

  HashMap<String, String> nameTranslations = HashMap();

  TrainingPlanDay.fromJson(Map json) {
    dayId = json['dayId'];
    name = json['name'];

    nameTranslations['en'] = name;
    if (json['translations'] != null && json['translations'].length > 0) {
      json['translations'].forEach((translation) {
        nameTranslations[translation['languageCode']] = translation['nameTranslation'];
      });
    }
  }

  Map<String, dynamic> toJson() => {
        "dayId": dayId,
        "name": name,
        "nameTranslation": nameTranslations.toString(),
      };

  @override
  String toString() => toJson().toString();
}
